Niniejsza notatka (napisana pospiesznie ;-) omawia kwestię polonizacji i użycia formatu ConTeXt.

### I. Generowanie formatu

1. Bezpośrednio
   `pdfetex -ini -progname=context cont-en`
   Po wygenerowaniu formatu należy go ,,ręcznie'' skopiować do odpowiedniego katalogu np. `$TEXMF/webc/`
2. Z wykorzystaniem programu fmtutil:
   `fmtutil --byfmt cont-en`
3. Z wykorzystaniem programu texexec:
   `texexec --make en`

### II. Polonizacja ConTeXt-a

Polonizacja polega na włączeniu polskich reguł dzielenia wyrazów, uaktywnieniu generowania polskich wersji stałych napisów, oraz domyślnym włączeniu polskich fontów. Niezbędne ustawienia można uaktywnić jedną z trzech metod:

1. Ustawienia systemowe
   W pliku `$TEXMF/tex/context/config/cont-usr.tex` należy odnaleźć wiersze, w których znajdują się ustawienia dla języka polskiego i usunąć komentarze z odpowiednich wierszy:

         \installlanguage [\s!pl] [\c!status=\v!start] % dodaje jęz. polski
         \setupcurrentlanguage[\s!pl]          % włącza polski jako domyślny
         \definefilesynonym [font-cmr] [font-plr] % włącza użycie fontów PL

   Wygenerować format dowolną z powyższych metod.
2. Wykorzystanie programu texexec
   Wywołać program `texexec` podając dodatkowe opje:
   `texexec --make --bodyfont=plr --language=pl en`
3. Za pośrednictwem pliku `cont-fmt.tex`
   Przygotować plik o nazwie cont-fmt.tex o następującej zawartości:

          \unprotect
          \installlanguage[\s!pl][\c!status=\v!start]
          \setupcurrentlanguage[\s!pl]
          \definefilesynonym[font-cmr][font-plr]
          \protect
          \endinput

   Następnie wygenerować format metodą I.1.

### III. Używanie ConTeXt-a

Najlepszym sposobem wywoływania ConTeXt-a jest użycie polecenia texexec. Program ten próbuje przetworzyć plik odpowiednią liczbę razy, żeby uaktualniły się odnośniki i spisy treści:
`texexec <nazwa_pliku>`

Wybrane opcje programu texexec:

Opcja | Opis
--- | ---
--output=[pdftex|dvips] | wybór generowanego pliku wyjściowego
--pdf | równoważne --output=pdftex
--result=<out> | nazwa pliku wynikowego
--pages=<lista_stron> | zapisanie do pliku wynikowego tylko wybranych stron
--fast | przetworzenie szybkie (bez ilustracji itp.)
--once | przetworzenie jednokrotne
--make | wygenerowanie formatu

Można także wywoływać ConTeXt poleceniem `cont-en`:
`cont-en <plik_wejściowy>`
albo bezpośrednim wywołaniem programu pdfetex:
`pdfetex -efmt=cont-en -progname=context <plik_wejściowy>`

P.B. i S.W. (Kwiecień 2000 r., modyfikacja 9.01.2001)